/*
 * Copyright (c) 2008, Harald Kuhr
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name "TwelveMonkeys" nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * Parts of this software is based on AC.lib-ICO.
 * See http://www.acproductions.de/commercial/aclibico/ for more information.
 *
 * The code is based on:
 *
 * winicontoppm.c - read a MS Windows .ico file and write portable pixmap(s)
 *
 * Copyright (C) 2000 by Lee Benfield - lee@recoil.org
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation. This software is provided "as is" without express or implied
 * warranty.
 *
 * Addendum for Java code by Christian Treber:
 *
 * The rules for the Java adaption are the same as stated above for the C
 * version.
 *
 * Copyright 2003 Christian Treber, ct@ctreber.com (Mar 27, 2003 17:00)
 */

package com.twelvemonkeys.imageio.plugins.ico;

import java.awt.image.BufferedImage;

/**
 * RGB/true color (16, 24 and 32 bits per pixel) images.
 * <p/>
 *
 * @author <a href="ct@ctreber.com">Christian Treber</a>
 * @author <a href="mailto:harald.kuhr@gmail.com">Harald Kuhr</a>
 * @version $Id: ICOBitmapRGB.java,v 1.0 25.feb.2006 00:29:44 haku Exp$
 */
class ICOBitmapRGB extends ICOBitmap {

    public ICOBitmapRGB(ICOEntry pEntry) {
        super(pEntry);
    }

    public BufferedImage getImage() {
        return mImage;
    }
}
